## org.eclipse.emf.codegen.ecore.templates.model
Class SwitchClass

    java.lang.Object
      org.eclipse.emf.codegen.ecore.templates.model.SwitchClass

    public class SwitchClass

extends java.lang.Object

Field Summary
`protected static java.lang.String` `nl`
`java.lang.String` `NL`
`protected java.lang.String` `TEXT_1`
`protected java.lang.String` `TEXT_10`
`protected java.lang.String` `TEXT_11`
`protected java.lang.String` `TEXT_12`
`protected java.lang.String` `TEXT_13`
`protected java.lang.String` `TEXT_14`
`protected java.lang.String` `TEXT_15`
`protected java.lang.String` `TEXT_16`
`protected java.lang.String` `TEXT_17`
`protected java.lang.String` `TEXT_18`
`protected java.lang.String` `TEXT_19`
`protected java.lang.String` `TEXT_2`
`protected java.lang.String` `TEXT_20`
`protected java.lang.String` `TEXT_21`
`protected java.lang.String` `TEXT_22`
`protected java.lang.String` `TEXT_23`
`protected java.lang.String` `TEXT_24`
`protected java.lang.String` `TEXT_25`
`protected java.lang.String` `TEXT_26`
`protected java.lang.String` `TEXT_27`
`protected java.lang.String` `TEXT_28`
`protected java.lang.String` `TEXT_29`
`protected java.lang.String` `TEXT_3`
`protected java.lang.String` `TEXT_30`
`protected java.lang.String` `TEXT_31`
`protected java.lang.String` `TEXT_32`
`protected java.lang.String` `TEXT_33`
`protected java.lang.String` `TEXT_34`
`protected java.lang.String` `TEXT_35`
`protected java.lang.String` `TEXT_36`
`protected java.lang.String` `TEXT_37`
`protected java.lang.String` `TEXT_38`
`protected java.lang.String` `TEXT_39`
`protected java.lang.String` `TEXT_4`
`protected java.lang.String` `TEXT_40`
`protected java.lang.String` `TEXT_41`
`protected java.lang.String` `TEXT_42`
`protected java.lang.String` `TEXT_43`
`protected java.lang.String` `TEXT_44`
`protected java.lang.String` `TEXT_45`
`protected java.lang.String` `TEXT_46`
`protected java.lang.String` `TEXT_47`
`protected java.lang.String` `TEXT_48`
`protected java.lang.String` `TEXT_49`
`protected java.lang.String` `TEXT_5`
`protected java.lang.String` `TEXT_50`
`protected java.lang.String` `TEXT_51`
`protected java.lang.String` `TEXT_52`
`protected java.lang.String` `TEXT_53`
`protected java.lang.String` `TEXT_54`
`protected java.lang.String` `TEXT_55`
`protected java.lang.String` `TEXT_56`
`protected java.lang.String` `TEXT_57`
`protected java.lang.String` `TEXT_58`
`protected java.lang.String` `TEXT_59`
`protected java.lang.String` `TEXT_6`
`protected java.lang.String` `TEXT_7`
`protected java.lang.String` `TEXT_8`
`protected java.lang.String` `TEXT_9`

Constructor Summary
`SwitchClass()`

Method Summary
`static SwitchClass` `create(java.lang.String lineSeparator)`
`java.lang.String` `generate(java.lang.Object argument)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nl

    protected static java.lang.String nl

### NL

    public final java.lang.String NL

### TEXT_1

    protected final java.lang.String TEXT_1

See Also:
  Constant Field Values

### TEXT_2

    protected final java.lang.String TEXT_2

See Also:
  Constant Field Values

### TEXT_3

    protected final java.lang.String TEXT_3

### TEXT_4

    protected final java.lang.String TEXT_4

### TEXT_5

    protected final java.lang.String TEXT_5

### TEXT_6

    protected final java.lang.String TEXT_6

See Also:
  Constant Field Values

### TEXT_7

    protected final java.lang.String TEXT_7

### TEXT_8

    protected final java.lang.String TEXT_8

### TEXT_9

    protected final java.lang.String TEXT_9

### TEXT_10

    protected final java.lang.String TEXT_10

### TEXT_11

    protected final java.lang.String TEXT_11

### TEXT_12

    protected final java.lang.String TEXT_12

### TEXT_13

    protected final java.lang.String TEXT_13

See Also:
  Constant Field Values

### TEXT_14

    protected final java.lang.String TEXT_14

See Also:
  Constant Field Values

### TEXT_15

    protected final java.lang.String TEXT_15

### TEXT_16

    protected final java.lang.String TEXT_16

### TEXT_17

    protected final java.lang.String TEXT_17

### TEXT_18

    protected final java.lang.String TEXT_18

### TEXT_19

    protected final java.lang.String TEXT_19

### TEXT_20

    protected final java.lang.String TEXT_20

### TEXT_21

    protected final java.lang.String TEXT_21

### TEXT_22

    protected final java.lang.String TEXT_22

See Also:
  Constant Field Values

### TEXT_23

    protected final java.lang.String TEXT_23

See Also:
  Constant Field Values

### TEXT_24

    protected final java.lang.String TEXT_24

### TEXT_25

    protected final java.lang.String TEXT_25

See Also:
  Constant Field Values

### TEXT_26

    protected final java.lang.String TEXT_26

### TEXT_27

    protected final java.lang.String TEXT_27

### TEXT_28

    protected final java.lang.String TEXT_28

### TEXT_29

    protected final java.lang.String TEXT_29

See Also:
  Constant Field Values

### TEXT_30

    protected final java.lang.String TEXT_30

### TEXT_31

    protected final java.lang.String TEXT_31

See Also:
  Constant Field Values

### TEXT_32

    protected final java.lang.String TEXT_32

See Also:
  Constant Field Values

### TEXT_33

    protected final java.lang.String TEXT_33

See Also:
  Constant Field Values

### TEXT_34

    protected final java.lang.String TEXT_34

### TEXT_35

    protected final java.lang.String TEXT_35

See Also:
  Constant Field Values

### TEXT_36

    protected final java.lang.String TEXT_36

See Also:
  Constant Field Values

### TEXT_37

    protected final java.lang.String TEXT_37

See Also:
  Constant Field Values

### TEXT_38

    protected final java.lang.String TEXT_38

See Also:
  Constant Field Values

### TEXT_39

    protected final java.lang.String TEXT_39

### TEXT_40

    protected final java.lang.String TEXT_40

See Also:
  Constant Field Values

### TEXT_41

    protected final java.lang.String TEXT_41

See Also:
  Constant Field Values

### TEXT_42

    protected final java.lang.String TEXT_42

See Also:
  Constant Field Values

### TEXT_43

    protected final java.lang.String TEXT_43

See Also:
  Constant Field Values

### TEXT_44

    protected final java.lang.String TEXT_44

See Also:
  Constant Field Values

### TEXT_45

    protected final java.lang.String TEXT_45

See Also:
  Constant Field Values

### TEXT_46

    protected final java.lang.String TEXT_46

### TEXT_47

    protected final java.lang.String TEXT_47

See Also:
  Constant Field Values

### TEXT_48

    protected final java.lang.String TEXT_48

### TEXT_49

    protected final java.lang.String TEXT_49

### TEXT_50

    protected final java.lang.String TEXT_50

### TEXT_51

    protected final java.lang.String TEXT_51

### TEXT_52

    protected final java.lang.String TEXT_52

### TEXT_53

    protected final java.lang.String TEXT_53

### TEXT_54

    protected final java.lang.String TEXT_54

See Also:
  Constant Field Values

### TEXT_55

    protected final java.lang.String TEXT_55

See Also:
  Constant Field Values

### TEXT_56

    protected final java.lang.String TEXT_56

### TEXT_57

    protected final java.lang.String TEXT_57

### TEXT_58

    protected final java.lang.String TEXT_58

### TEXT_59

    protected final java.lang.String TEXT_59

Constructor Detail

### SwitchClass

    public SwitchClass()

Method Detail

### create

    public static SwitchClass create(java.lang.String lineSeparator)

### generate

    public java.lang.String generate(java.lang.Object argument)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.